package p2.application.tagents_costmx;

import baseclass.PaoCust;
import p2.pao.PaoSet;
import p2.util.P2Exception;
import p2.application.tagents_cost.tagents_cost;

public class tagents_costmx extends PaoCust {
    public tagents_costmx(PaoSet arg0) {
        super(arg0);
    }

    @Override
    public void add() throws P2Exception {
        super.add();
        if (getOwner() instanceof tagents_cost) {
            setValue("tagentsid", getOwner().getLong("tagentsid"), 11L);
            setValue("tagents_costid", getOwner().getLong("tagents_costid"), 11L);
        }
    }
}
